<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4:             */
// +----------------------------------------------------------------------+
// | PHP version 4/5                                                      |
// +----------------------------------------------------------------------+
// | Copyright (c) 2004-2011 ARMIA INC                                    |
// +----------------------------------------------------------------------+
// | This source file is a part of iScripts PrintLogic                    |
// +----------------------------------------------------------------------+
// | Authors: Jipson<jipson.thomas@armiasystems.com>                      |
// +----------------------------------------------------------------------+
?>
<!DOCTYPE html>
<!--[if lt IE 7]> <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang="en"> <![endif]-->
<!--[if IE 7]> <html class="no-js lt-ie9 lt-ie8" lang="en"> <![endif]-->
<!--[if IE 8]> <html class="no-js lt-ie9" lang="en"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en"> <!--<![endif]-->
<head> 
<!-- Set the viewport width to device width for mobile -->
<meta name="viewport" content="width=device-width" />
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<!-- IE Fix for HTML5 Tags -->
<!--[if lt IE 9]>
<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
<?php echo $Sample;?>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <title><?php echo $title_for_layout?></title>
        <?php
        if(isset($style)) {
            echo $html->css($style);
        }else {
            echo $html->css("AntiqueBrown");
        }
        ?>
        <link rel="stylesheet" type="text/css" href="<?php echo $cnfg["sitebasefolder"];?>/css_responsive/responsive.css">
        <link rel="stylesheet" type="text/css" href="<?php echo $cnfg["sitebasefolder"];?>/css_responsive/component.css">        
        <link rel="stylesheet" type="text/css" href="<?php echo $cnfg["sitebasefolder"];?>/css_font/font-awesome.min.css">        
       
        <link href='https://fonts.googleapis.com/css?family=Strait' rel='stylesheet' type='text/css'>
        <link href='http://fonts.googleapis.com/css?family=Raleway:400,500,600,700' rel='stylesheet' type='text/css'>
        <link href='http://fonts.googleapis.com/css?family=PT+Sans:400,700' rel='stylesheet' type='text/css'>
        <?php
        echo $javascript->link('modernizr.foundation.js');                
        ?>
        <link rel="icon" href="<?php echo $this->webroot . 'favicon.ico'; ?>" type="image/x-icon" />
        <link rel="shortcut icon" href="<?php echo $this->webroot . 'favicon.ico'; ?>" type="image/x-icon" />
        <?php echo $scripts_for_layout ?>
        <?php if (isset($meta_description) && !empty($meta_description)) { ?>
        <meta name="description" content="<?php echo $meta_description; ?>" />
            <?php } ?>
        <?php if (isset($meta_keywords) && !empty($meta_keywords)) { ?>
        <meta name="keywords" content="<?php echo $meta_keywords; ?>" />
            <?php } ?>
        <style>
           
        </style>
        <script language="javascript" type="text/javascript">


            function sub(){
                document.src.submit();
            }

            function searchPrd(){ 
                // if($.trim($("input#srchProduct").val()) != '' && $.trim($("input#srchProduct").val()) != 'Product Search') 
                if($.trim($("input#srchProduct").val()) == 'Product Search')  $.trim($("input#srchProduct").val(''));
                $("form#srchFrm").submit();
            }

            function clearFld(elem){
                var myval = $(elem).val();
                if(myval == 'Product Search'){
                    $(elem).val('');
                    $(elem).removeClass('search_input_default');
                    $(elem).addClass('search_input');
                }
            }

            function resetFld(elem){
                var myval = $.trim($(elem).val());
                if(myval == ''){
                    $(elem).val('Product Search');
                    $(elem).removeClass('search_input');
                    $(elem).addClass('search_input_default');
                }
            }
        </script>
        <?php
        if(isset($facebookKey['facebook_app_id']) && !empty($facebookKey['facebook_app_id'])) {
            ?>
        <script>(function(d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0];
            if (d.getElementById(id)) return;
            js = d.createElement(s); js.id = id;
            js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId=<?php echo $facebookKey['facebook_app_id'] ?>";
            fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script> <!-- Facebook Like Button Script -->

            <?php
        }
        ?>
        <?php 
        echo $javascript->link('jquery.js');           
        ?>
        
        <?php
        if(isset($menu_array)) {
            if(count($menu_array) > 1) {
                echo $javascript->link('multilevelmenu.js');
            }
}

?>
    </head>
    <body>
        <div id="fb-root"></div>
<?php if(isset($facebookKey['facebook_app_id']) && isset($fbLogin)) { ?>
        <script>
 
        //window.fbAsyncInit = function() {

            FB.init({
                appId      : '<?php echo $facebookKey['facebook_app_id']; ?>',
                status     : true,
                cookie     : true,
                xfbml      : true,
                oauth      : true
            });

            function fbAuthUser() {
                FB.login(checkLoginStatus);
            }

            function checkLoginStatus(response) {
                if(response && response.status == 'connected') {
                   var accesstoken =   response.authResponse.accessToken;
                                /*Function to insert data into database*/
                                loginSuccess(accesstoken);                    
                                /*Function to insert data into database Ends*/
                } 
            }


            FB.Event.subscribe('auth.login', function(response) {
                var accesstoken =   response.authResponse.accessToken;               
                /*Function to insert data into database*/               
                 loginSuccess(accesstoken);
                /*Function to insert data into database Ends*/
                //login();
            });

            FB.Event.subscribe('auth.logout', function(response) {
                // logout();
            });

           

        function loginSuccess(accesstoken)
        {
            /** Function to update DB ***/
            FB.api('/me', 'get', { access_token: accesstoken, fields: 'id,name,first_name,middle_name,last_name,email,gender,location,birthday' }, function(response) { 
                console.log(response); //alert(response.email);  
                $.ajax({
                    url: "<?php echo $cnfg["sitebasefolder"];?>/users/fbregister",
                    type: "GET",
                    data:{user_fbid: response.id,user_fbname: response.name,user_fname: response.first_name,
                        user_middle_name: response.middle_name, user_lname: response.last_name,user_email: response.email,
                        user_uname: response.username,user_location: response.location,user_dob: response.birthday,user_gender: response.gender,access_token:accesstoken},
                    cache: false,
                    success: function (html) {  //alert('THE AJAX RESPONSE'+html);
                        if(html==1)
                        {
                            //FB.logout(function(response) {
                                window.location.href   =   "<?php echo $cnfg["sitebasefolder"];?>/index.php";
                            //});


                        } else {
                            alert('Sorry, unexpected error. Please try again later');
                        }

                    }
                });
            });
            /** Function to update DB Ends ***/
        }
        </script>
    <?php } ?>
        
        <div class="outerwrapper_container">
<div class="header_row">
<div class="wrapper row"> 
<div class="header_container">
<div class="row">  
        <div class="four columns">
            <div class="logo left"><a href="<?php echo $html->url('/index.php');?>"><?php echo $html->image('/img/SiteLogo_disp.gif');?></a></div>
        </div>
        <div class="eight columns">
            <section>
                    <div class="user_display_area">
                        <div class="row">
                            <div class="six columns">
                                <div class="login_nav">
                                    <div class="left">
                                    <?php  if(empty($sus)) {   ?>
                                        <a href="<?php echo $html->url('/users/login');?>" >Login</a> |
                                        <a href="<?php echo $html->url('/users/register');?>"  > Register </a>
                                     <?php } ?>
                                    <?php  if(!empty($sus)&& isset($sus['uname'])) {  
                                            $name = ($sus['reg_status'] == '') ? 'Guest' : ucfirst($sus['uname']);
                                     ?>
                                        Hello <span><?php echo $name; ?></span> | <a href="<?php echo $html->url('/users/logout');?>" style="border:0px; text-transform: none;">Log Out</a>
                                    <?php } ?>
                                     </div>
                                    <?php if(!empty($sus) && isset($sus['uname'])) { ?>
                                      <a href="<?php echo $html->url('/carts/show');?>"><div class="hdr_mycart">
                                        My Cart
                                         <?php if($cartcount){ ?>
                                             <div class="cart-notifictaion"><?php echo $cartcount; ?>
                                             </div>
                                         <?php } ?>
                                     </div></a>
                                    <?php } ?>
                                     <div class="clear"></div>
                                 </div>
                                 
                            </div>
                            <div class="six columns">
                            <form name='srchFrm' id='srchFrm' method='get' action='<?php echo $html->url('/products/search');?>'>
                            <div class="top_search_area">
                                <div class="topsearch_cnt">
                                    <div class="left search_left"><input name="srchProduct" size="28" id="srchProduct" class='search_input_default' type="text" value="Product Search" onclick='clearFld(this)' onblur='resetFld(this)'></div>
                                    <div class="topsearch_icon"><a href="javascript:void(0)" onclick='searchPrd();'><span>Searchicon</span></a></div>
                                </div>
                                <div class="topsearch_right"></div>
                                <div class="clear"></div>
                            </div>
                            </form>
                            </div>
                        </div>
                    </div>
            </section>
        </div>
</div>
</div>
</div>
<div class="clear"></div>
</div>
<?php 
        function searchArrayKeyVal($sKey, $id, $array) {
               foreach ($array as $key => $val) {
                   if ($val[$sKey] == $id) {
                       return $key;
                   }
               }
               return false;
            }

    if(isset($sus)) $loginID = $sus['id'];
    else $loginID = 0;
    $url_array = array('users/login', 'users/register');
    $acc_array = array('users/myaccount', 'users/myaccount/', 'orders/myorder/', 'orders/myorder/purchase', 'orders/myorder/invoice', 
                  "users/chngpword/$loginID", 'customimages/userdesigns', "user_addresses/mybilladd/$loginID", "user_addresses/myshippadd/$loginID",
                  'Messages/userboard');
    $cart_array = array('carts/show', 'carts/show/', 'userAddresses/show_bill_ship', 'carts/checkout');
?> 

<div class="menu_row">
    <div class="wrapper row"> 
        <div class="menu_container">
            <div class="row">  
            <div class="twelve columns">
                <label for="toggleMenu" class="menuTitle">MENU</label>
                <input type="checkbox" id="toggleMenu" />
                <div class="menu">
                <ul class="sf-menu clearfix">
                    <li><a href="<?php echo $html->url('/index.php');?>"  <?php if(preg_match("/index.php/i", $_SERVER['REQUEST_URI'])) {?>id="links_active"<?php }?> >Home</a></li>
                    <li>
                        <a href="<?php  echo FULL_BASE_URL .$cnfg["sitebasefolder"].'/products/allproducts';?>" class="main" <?php if(preg_match("/allproducts/i", $_SERVER['REQUEST_URI'])) {?>id="links_active"<?php }?>  >Products</a>
                        <?php 
                        $count=1;
                                    $count=1;
                                     function generate_menu1($parent,$menu_array,$siteurl) {

                                        global $count;
                                        $has_childs = false;
                                        $pk =   0;

                                        foreach($menu_array as $key => $value) {
                                            $parray[$pk]    =   $value['parent'];
                                            $pk++;
                                        }

                                 
                                        foreach($menu_array as $key => $value) {

                                      
                                            if ($value['parent'] == $parent) {
                                                //if this is the first child print '<ul>'
                                                 
                                                if ($has_childs === false) {
                                                    
                                                    $has_childs = true;
                                                    echo '<ul  id="sidebarmenu2">';
                                                }

                                                if(in_array($key,$parray)) {
                                                    echo '<li><a href="#" onclick="return false;">'.$value['name'].'</a>';
                                                }
                                                else {

                                                   if($value['position']<9999)
                                                   {


                                                       echo '<li><a href="' . $siteurl . '/categories/show_cat/' . cleancatnames($value['name']) . "/" . $key . '/">' . $value['name'] . '</a>';
                                                   }else{

                                                        if($value['position']==9999)
                                                        {
                                                          echo '<li> <a href="' . $siteurl . '/categories/allcategories"> All Categories</a>';
                                                        }

                                                         if($value['position']==10000)
                                                        {
                                                          echo '<li><a href="' . $siteurl . '/products/alltemplates">All Templates</a>';
                                                        }
                                                   }
                                                  
                                                   
                                                }
                                               
                                                $menu_array=aasort1($menu_array,"position");

                                                 generate_menu1($key,$menu_array,$siteurl);                                     
                                                echo '</li>';
                                                 
                                            }

                                        }
                                        if ($has_childs === true) {
                                         
                                        echo '</ul>';

                                        }
                                        if ($has_childs === false)$count++;
                                        
                                    }

                                    function aasort1 (&$array, $key) {
                                        $sorter=array();
                                        $ret=array();
                                        reset($array);
                                        foreach ($array as $ii => $va) {
                                            $sorter[$ii]=$va[$key];
                                        }
                                        asort($sorter);
                                        foreach ($sorter as $ii => $va) {
                                            $ret[$ii]=$array[$ii];
                                        }
                                        return $array=$ret;
                                    }

                                    $menuCount = count($menu_array);
                                   if(isset($menu_array) && empty($menu_array)===false) {

                                  //If no Items present in the caregory then following default settings will be executed

                                      if($menuCount<=1)
                                      {

                                          
                                            $arrayKey = searchArrayKeyVal("name", '---Select---', $menu_array);

                                           if ($arrayKey!==false) {
                                               unset($menu_array[$arrayKey]);
                                               $menu_array =  array_values($menu_array);
                                           }

                                           function defaultMenu( $siteurl)
                                           {
                                             echo '<ul  id="sidebarmenu2">';
                                             echo '<li><a href="' .  $siteurl . '/categories/allcategories">All Categories</a>';
                                             echo '<li><a href="' . $siteurl . '/products/alltemplates">All Templates</a>';
                                             echo '</li></ul>';
                                           }

                                           defaultMenu($cnfg["sitebasefolder"]);
                                           

                                      }else{

                                        $arrElm = count($menu_array);
                                       
                                        $menu_array=aasort1($menu_array,"position");
                                      //  echopre1($menu_array);

                                        $menu_array[9999] = array('name'=>'All Categories','position'=>9999,'parent'=>1);
                                         $menu_array[10000] = array('name'=>'All Templates','position'=>10000,'parent'=>1);

                                        generate_menu1(1,$menu_array,$cnfg["sitebasefolder"]);

                                      }  
                                    }
                                     
                                    ?>
                    </li>
                       <?php  if(empty($sus)) {   ?>
<!--                    <li><a href="<?php echo $html->url('/users/register');?>"  > Sign Up </a>   </li>
                 
                    <li><a href="<?php echo $html->url('/users/login');?>" >Login</a></li>-->
              <?php } ?>
                                <?php if(isset($cnfg)){?>
                                <li><a href="<?php echo FULL_BASE_URL .$cnfg["sitebasefolder"]."/Helps/userhelp";?>" target="_blank">Help</a></li>      
                                <?php } ?>
                             <?php  if(!empty($sus)) {   ?> 
                           <!--<li>     <a href="<?php echo $html->url('/carts/show');?>"   >My Cart</a></li>-->
                    <li><a href="<?php echo $html->url('/users/myaccount');?>"   >My Account </a></li>
                                         <?php } ?>
                        <?php foreach($pagesdynamic as $pd){
                              if($pd['PrintLogic_dynamicpages']['page_type']=='link'){?>
                                <li><a href="<?php echo $pd['PrintLogic_dynamicpages']['content'];?>"   ><?php echo $pd['PrintLogic_dynamicpages']['page_name'];?></a></li> 
                       <?php } else if($pd['PrintLogic_dynamicpages']['page_type']=='html'){?>
                               <li><a href="<?php echo $html->url('/dynamicpages/show/'.$pd["PrintLogic_dynamicpages"]["page_alias"]);?>"   ><?php echo $pd['PrintLogic_dynamicpages']['page_name'];?></a></li> 
                        
                        <?php }} ?> 
                </ul>
<!--                    <div class="login-msg_outer">
                        <?php  //if(!empty($sus)&& isset($sus['uname'])) {   ?>
                    <div class="login-msg">Hello <span><?php //echo ucfirst($sus['uname']); ?></span> | <a href="<?php echo $html->url('/users/logout');?>" style="border:0px">Logout</a></div>
                    <?php //} ?>
                    
                    </div>-->
                </div>
                
                
            </div>
        </div>
    </div>

    

    <!--Existing menu commented-->                  
<?php /*
    <div class="wrapper row"> 
        <div class="menu_container">
            <div class="row">  
            <div class="twelve columns">
            <div class="menu_outer">
            <!-- <div class="menu_top_cnt_left"></div> -->
            <div class="menu_top_cnt_area">
            <?php  if(!empty($sus)&& isset($sus['uname'])) {   ?>
                <div class="login-msg">Hello <span><?php echo ucfirst($sus['uname']); ?></span></div>
                <?php } ?>
                  
             <ul class="nav-bar">
                          <?php if($session->check('Userlog') == false)
                        { ?>
                                <li><a href="<?php echo $html->url('/index.php');?>"  <?php if(!in_array($_REQUEST['url'], $url_array) && !in_array($_REQUEST['url'], $acc_array) && !in_array($_REQUEST['url'], $cart_array) && !(preg_match("/categories/i", $_REQUEST['url'])|| preg_match("/products/i", $_REQUEST['url']))) {?>id="links_active"<?php } ?> >Home</a></li>
                                                         <li>
              <a href="<?php  echo FULL_BASE_URL .$cnfg["sitebasefolder"].'/products/allproducts';?>" class="main">Products</a>
                <div class="sub-nav-wrapper"><ul class="sub-nav">
                        <?php $ij=0; foreach($menu_array as $k1=>$v1){ if($v1['parent']!=0){ if($ij<=10){ ?>
                        <li><a href="<?php  echo FULL_BASE_URL .$cnfg["sitebasefolder"].'/categories/show_cat/'.  cleancatnames($v1['name']).'/'.$k1;?>"><?php echo $v1['name'];?></a></li>
        
                       <?php   }$ij++;}}?>
                </ul></div>
            </li>   <?php  if(empty($sus)){?>   
                                <li><a href="<?php echo $html->url('/users/register');?>">Sign Up </a>  </li>   
                                <li><a href="<?php echo $html->url('/users/login');?>">Login</a></li>
                                <?php }?>
                                <?php if(isset($cnfg)){?>
                                <li><a href="<?php echo FULL_BASE_URL .$cnfg["sitebasefolder"]."/Helps/userhelp";?>" target="_blank">Help</a></li>      
                                <?php } ?>
                                <?php foreach($pagesdynamic as $pd){
                              if($pd['PrintLogic_dynamicpages']['page_type']=='link'){?>
                                <li><a href="<?php echo $pd['PrintLogic_dynamicpages']['content'];?>"><?php echo $pd['PrintLogic_dynamicpages']['page_name'];?></a></li>    
                       <?php } else if($pd['PrintLogic_dynamicpages']['page_type']=='html'){?>
                               <li><a href="<?php echo $html->url('/dynamicpages/show/'.$pd["PrintLogic_dynamicpages"]["page_alias"]);?>"><?php echo $pd['PrintLogic_dynamicpages']['page_name'];?></a></li>    
                        
                        <?php }} ?> 
                           <li>     <a href="<?php echo $html->url('/carts/show');?>" style="border:0px">My Cart</a></li>
                        <?php }else{ 
                          
                        ?>
                            <li>    <a href="<?php echo $html->url('/index.php');?>"  <?php if(!in_array($_REQUEST['url'], $url_array) && !in_array($_REQUEST['url'], $acc_array) && !in_array($_REQUEST['url'], $cart_array) && !(preg_match("/categories/i", $_REQUEST['url'])|| preg_match("/products/i", $_REQUEST['url']))) {?>id="links_active"<?php } ?> >Home</a></li>
                                                  <li>
              <a href="<?php  echo FULL_BASE_URL .$cnfg["sitebasefolder"].'/products/allproducts';?>" class="main">Products</a>
                <div class="sub-nav-wrapper"><ul class="sub-nav">
                        <?php $ij = 0; foreach($menu_array as $k1=>$v1){ if($v1['parent']!=0){ if($ij<=10){?>
                        <li><a href="<?php  echo FULL_BASE_URL .$cnfg["sitebasefolder"].'/categories/show_cat/'.  cleancatnames($v1['name']).'/'.$k1;?>"><?php echo $v1['name'];?></a></li>
        
                       <?php } $ij++;  }}?>
                </ul></div>
            </li>
                                <li><a href="<?php echo $html->url('/users/myaccount');?>">My Account</a></li>
                                
                                <li><a href="<?php echo FULL_BASE_URL .$cnfg["sitebasefolder"]."/Helps/userhelp";?>" target="_blank">Help</a>   </li>   
                              <li>  <a href="<?php echo $html->url('/carts/show');?>" >My Cart</a> </li>
                              <?php  if(!empty($sus)&& isset($sus['uname'])) {   ?>
                                          <li><a href="<?php echo $html->url('/users/logout');?>" style="border:0px">Logout</a></li>
                        <?php }} ?>
             </ul>
            </div>
            <!-- <div class="menu_top_cnt_right"></div> -->
            </div>
            <div class="clear"></div>
            </div>
            </div>
        </div>  
    </div>
*/ ?>
    <!--Existing menu commented end-->      
    
    </div>
</div>
<div class="clear"></div>

            <div class="content_row">
                <div class="wrapper row"> 
                <div class="content_container">
                <div class="inner_content_main wrapper">
                    <!--inner mainbody area start -->
                    <div class="row">
                    <?php /*
                    <div class="three columns">
                    <div class="inner_left_area">
                        <!--inner left area start -->
                        <div class="left_module">
                            <div class="left_module_head">
                                Categories
                            </div>

                            <div class="left_module_bg">
                                <div id="" class="sidebarmenu">
                                    <?php
                                    function generate_menu($parent,$menu_array,$siteurl) {

                                        $has_childs = false;
                                        $pk =   0;

                                        foreach($menu_array as $key => $value) {
                                            $parray[$pk]    =   $value['parent'];
                                            $pk++;
                                        }

                                        
                                        foreach($menu_array as $key => $value) {
                                            if ($value['parent'] == $parent) {
                                                //if this is the first child print '<ul>'
                                                if ($has_childs === false) {

                                                    $has_childs = true;
                                                    echo '<ul  id="sidebarmenu1">';
                                                }

                                                if(in_array($key,$parray)) {
                                                    echo '<li><a href="#" onclick="return false;">'.$value['name'].'</a>';
                                                }
                                                else {
                                                    echo '<li><a href="'.$siteurl.'/categories/show_cat/'.cleancatnames($value['name'])."/".$key.'/">'. $value['name'].'</a>';
                                                }
                                                //echo '<pre>'; print_r($menu_array); echo '</pre>';
                                                $menu_array=aasort($menu_array,"position");
                                                generate_menu($key,$menu_array,$siteurl);
                                                echo '</li>';
                                            }
                                        }
                                        if ($has_childs === true) echo '</ul>';
                                    }

                                    function aasort (&$array, $key) {
                                        $sorter=array();
                                        $ret=array();
                                        reset($array);
                                        foreach ($array as $ii => $va) {
                                            $sorter[$ii]=$va[$key];
                                        }
                                        asort($sorter);
                                        foreach ($sorter as $ii => $va) {
                                            $ret[$ii]=$array[$ii];
                                        }
                                        return $array=$ret;
                                    }

                                    //aasort($your_array,"order");

                                   // print_r($menu_array);
                                    //generate menu starting with parent categories (that have a 0 parent)
                                    if(isset($menu_array) && empty($menu_array)===false) {
                                        $menu_array=aasort($menu_array,"position");
                                        generate_menu(1,$menu_array,$cnfg["sitebasefolder"]);
                                    }
                                    ?>
                                </div>
                            </div>

                            



                            <div class="clear"></div>
                        </div>

                        <!--body left area end -->
                    </div>
                    </div>
                    */ ?>
                    <div class="twelve columns">
                        <div class="inner_right_area" >
                            <?php echo $content_for_layout ?> 
                        </div>
                    </div>
                    </div>
                    <div  class="clear"></div>
                    <!-- inner main body area ends -->
                </div>
                </div>



                </div>
            </div>

<div class="footer_row">
        <div class="wrapper row"> 
        <div class="footer_content_row">
            <div class="row"> 
                <div class="three columns">
                                    <?php
                                $flinks=array();
                if(!empty($footerlinks)){ 
                                    foreach($footerlinks as $val)
                                    {
                                        if(trim($val) <> '')
                                        {
                                                $lnk='';$lnk_txt='';
                                                if(trim(strtolower($val)) == 'aboutus')  { $lnk_txt='About Us'; $lnk=$html->url('/cmspages/aboutus'); }
                                                if(trim(strtolower($val)) == 'community') { $lnk_txt='Community'; $lnk=$html->url('/cmspages/community'); }         
                                                if($lnk){ $flinks[]='<li><a href="'.$lnk.'">'.$lnk_txt.'</a></li>';}
                                      }   
                                    }
                }
                $cnts_lnk=$html->url('/contacts/add');
                                ?>
                    <h3>Quick Links</h3>
                    <ul>
                        
                                                <li><a href="<?php echo $html->url('/index.php');?>">Home</a></li>
                        <li><a href="<?php echo $html->url('/products/allproducts');?>">Products</a></li>
                    
                                                <?php 
                                                for($i=0;$i<2;$i++)
                                                    if($flinks[$i])
                                                        echo $flinks[$i];
                
                                                ?>
                    </ul>
                </div>
                            
                                <div class="three columns">
                                <?php
                                $flinks=array();
                if(!empty($footerlinks)){ 
                                    foreach($footerlinks as $val)
                                    {
                                      if(trim($val) <> '')
                                      {
                                            $lnk='';$lnk_txt='';
                                            if(trim(strtolower($val)) == 'terms') { $lnk_txt='Terms & Conditions'; $lnk=$html->url('/cmspages/terms'); }    
                                            if(trim(strtolower($val)) == 'testimonials') { $lnk_txt='Testimonials'; $lnk=$html->url('/cmspages/testimonials'); }
                                            if(trim(strtolower($val)) == 'faq') { $lnk_txt='FAQ'; $lnk=$html->url('/cmspages/faq'); }
                                            if($lnk){ $flinks[]='<li><a href="'.$lnk.'">'.$lnk_txt.'</a></li>';}
                                      }   
                                    }
                }
                $cnts_lnk=$html->url('/contacts/add');
                                ?>
                    <h3></h3>
                    <ul>
                        
                        <li><a href="<?php echo $html->url('/contacts/add');?>">Post Your Feedback</a></li>
                        

                        <?php 
                                                for($i=0;$i<3;$i++)
                                                   
                                                    if($flinks[$i])
                                                        echo $flinks[$i];
                
                                                ?>


                    </ul>
                </div>  
                <div class="three columns">
                                     <?php  if(!empty($sus)&& isset($sus['uname'])) {   ?>
                    <h3>Your Account</h3>
                    <ul>
                        <li><a href="<?php echo $html->url('/users/myaccount');?>">My Account</a></li>
                        <li><a href="<?php echo $html->url('/carts/show');?>">My Cart</a></li>
                        <li><a href="<?php echo $html->url('/customimages/userdesigns');?>">My Designs</a></li>
<!--                        <li><a href="#">My Purchased Orders</a></li>-->
                    </ul>
                                        <?php } ?>
                </div>
                <div class="three columns">
                    <h2>Reach Us At</h2>
                    <div class="foooter_talk_blk">
                        <div class="row">
                        <div class="twelve columns">
                            <?php if($cnfg["site_cnum"]!=NULL){ ?>
                <div class="Ph_link_top">
                    <i class="fa fa-phone-square"></i>
                    <div class="ph_no"><?php echo $cnfg["site_cnum"]; ?></div>
                                <?php } ?>
                            </div> 
                        </div>
                        <div class="twelve columns">
                             <?php if($cnfg["admin_email"]!=NULL){ ?>
                <div class="email_link_top">
                    <i class="fa fa-envelope"></i>
                    <div class="ph_no">
                     <a href="mailto:<?php echo $cnfg["admin_email"];?>"><?php echo $cnfg["admin_email"];?></a>
                     </div>
                </div>  
                             <?php } ?>
                            </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
</div>
<div class="footer_row_bottom">
        <div class="wrapper row"> 
        <div class="row">  

         
    <div align="left" class="copyright_area wrapper">
        <!--copyright area start -->
        
        
        
            
                 
                <div align="left" id="copyright_lft">
                
                </div>
                
                <div align="right" id="copyright_rgt"><?php echo $this->element('copyright',
    array("copyright" => ""));?></div>
                <!--copyright area  -->
                <?php
    function cleancatnames($text)
                {
                    $code_entities_match = array(' 
        ','--','&quot;','!','@','#','$','%','^','&','*','(',')','_','+','{','}','|',':','"','<','>','?','[',']','\\',';',"'",',','.','/','*','+','~','`','=');
                    $code_entities_replace =
                    array('-','-','','','','','','','','','','','','','','','','','','','','','','','','');
                    $text = str_replace($code_entities_match, $code_entities_replace, $text);
                    return $text;
                }
                                 function productnamealias_default($text) {

    $code_entities_match = array(' ','/','#','%','?','&','!');
    $code_entities_replace = array('-');
    $text = str_replace($code_entities_match, $code_entities_replace, $text);
    return $text;
}


 ?>
 
        <div class="clear"></div>
        </div>
        </div>
        </div>
</div>
    </body>
</html>
<script type="text/javascript">
 $(window).load(function() {
$(".product_menu_ul").mouseover(function(){ //alert('it works')
$(".product_menu_li").css("display","block");

});

$(".sub-nav-wrapper").on('mouseleave',function(){
$(".product_menu_li").css("display","none");
});



});


function responsiveMenu() {
    $('.menuTitle').click(function () {
        $('.menu').slideToggle("slow");
        $('.menu').css({"max-height":"800px"});
    });
};
 
$(function() {
    $(".menu").css({"display":"none","transition":"none","max-height":"inherit"});
    $("#toggleMenu").remove();
    responsiveMenu();
});
</script>

 <?php echo $cnfg['google_analytics'];?>