<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: 			*/

// +----------------------------------------------------------------------+

// | PHP version 4/5                                                      |

// +----------------------------------------------------------------------+

// | Copyright (c) 2004-2011 ARMIA INC                                    |

// +----------------------------------------------------------------------+

// | This source file is a part of iScripts PrintLogic                     |

// +----------------------------------------------------------------------+

// | Authors: Jipson<jipson.thomas@armiasystems.com>             		  |

// +----------------------------------------------------------------------+

class Category extends AppModel {

    var $name = 'Category';
    var $displayField = 'Category_cname';
    //var $belongsTo = array( 'Parentcategory' => array('className' => 'Category', 'foreignKey' => 'parent_id'),);

    //var $hasMany = array('Childcategory' => array('className' => 'Category', 'foreignKey' => 'parent_id'), 'Product');


    ##var $actsAs = array('Tree');
    #### Function to get leaf nodes...........

    function findleaf() {

        $Db = ConnectionManager::getDataSource($this->useDbConfig);
        $cttbl = $Db->fullTableName('categories');
        $dat   =	$this->query("select f.id as id,f.cname as cname from $cttbl f
                                      Left join $cttbl s on f.id=s.parent_id
                                      where  ISNULL(s.cname) AND f.id <> 1");
        $cat   =	array();



        foreach($dat as $el) {

            $id		=	$el['f']['id'];
            $name	=	$el['f']['cname'];
            $cat[$id]	=	$name;
        }

        return $cat;
    }


    function getchilds($id,$ind=0) {

        global $categ;
        global $ind;

        $Db = ConnectionManager::getDataSource($this->useDbConfig);
        $cttbl = $Db->fullTableName('categories');
        $dat	=	$this->query("select id from $cttbl where parent_id = ".$id);

        //print_r($dat);exit;
        $cttbl		=	str_replace('`','',$cttbl);

        foreach($dat as $el) {

            $id			=	$el[$cttbl]['id'];
            $categ[$ind]["id"]	=	$id;
            $ind++;
            $this->getchilds($id,$ind);
        }
        return $categ;
    }


    function getFulltablename($tablename) {
        $Db = ConnectionManager::getDataSource($this->useDbConfig);
        $tblname = $Db->fullTableName($tablename);
        return $tblname;
    }


    //Function to add custom value combinations for category

    /*
		function customValueCombination($catid,$combinations)

		{
			$Db = ConnectionManager::getDataSource($this->useDbConfig);

			$cttbl = $Db->fullTableName('customcombinations');			

		    $combinations=explode(',',$combinations);

			if(is_array($combinations) && !empty($combinations))

			{
				foreach($combinations as $key =>  $val)
				{
				  $combn_id=explode('->',$val);
				  $this->query("insert into $cttbl (category_id,customfield_id,customvalue_id) values ('".$catid."','".$combn_id[0]."','".$combn_id[1]."')");	
				}						
			}	



			return true;



		 } 



    */



    function checkAddDups($catname,$parentid) {

        $Db = ConnectionManager::getDataSource($this->useDbConfig);

        $cattbl = $Db->fullTableName('categories');

        //$res=$this->query("SELECT count(*)  as dups from $cattbl WHERE `cname` ='".$catname."' and `parent_id`='".$parentid."'");

        $res=$this->query("SELECT count(*)  as dups from $cattbl WHERE `cname` ='".$catname."' AND parent_id='".$parentid."' ");

        return $res[0][0]["dups"];

    }

    function checkeditDups($catname,$parentid,$editid) {

        $Db = ConnectionManager::getDataSource($this->useDbConfig);

        $cattbl = $Db->fullTableName('categories');

        $res=$this->query("SELECT count(*)  as dups from $cattbl WHERE `cname` ='".$catname."' and `id`<>".$editid );

        return $res[0][0]["dups"];

    }

    function checkEditParentDups($catname,$parentid,$editid) {

        $Db = ConnectionManager::getDataSource($this->useDbConfig);

        $cattbl = $Db->fullTableName('categories');

        $res=$this->query("SELECT count(*)  as dups from $cattbl WHERE `cname` ='".$catname."' and `parent_id`='0' and `id`<>".$editid);

        return $res[0][0]["dups"];

    }



    function getProductCountAllCatgeory($catid) {

        $Db = ConnectionManager::getDataSource($this->useDbConfig);

        $cattbl = $Db->fullTableName('categories');
        $prddettbl = $Db->fullTableName('productdetails');
        ;
        $res=$this->query("SELECT count(id)  as pcount from $prddettbl AS prddet  WHERE prddet.category_id IN (SELECT id from $cattbl WHERE parent_id = '". $catid ."')  nm");

        return $res[0][0]["pcount"];

    }

    function  fetchCat() {
        $Db = ConnectionManager::getDataSource($this->useDbConfig);

        $cattbl = $Db->fullTableName('categories');
        $dat	=	$this->query("select * from $cattbl  ORDER BY id DESC LIMIT 0,10");

        return $dat;

    }
  
    function getChildCategory()
    {
         $Db = ConnectionManager::getDataSource($this->useDbConfig);

        $cattbl = $Db->fullTableName('categories');
        $dat	=	$this->query("select yt.cname,yt.id
    from $cattbl yt
    where not exists (select null from $cattbl where parent_id = yt.id) LIMIT 0,10");
        return $dat;
        
    }
    
    function getSubCategory($catId)
    {     $Db = ConnectionManager::getDataSource($this->useDbConfig);
          $cattbl = $Db->fullTableName('categories');   
          $cttbl		=	str_replace('`','',$cattbl);
          $data = $this->query("SELECT * FROM $cttbl WHERE parent_id = $catId");
          $result = array();
          if($data)
          {
              foreach ($data as $key=>$val)
              {  
                  $result[] = $val[$cttbl];
              }
          }
          return $result;
    }


    function getProductCountByCategory($catId){

        $Db = ConnectionManager::getDataSource($this->useDbConfig);
        $pdtbl = $Db->fullTableName('products');
        $catbl = $Db->fullTableName('categories');
        $pdtcatbl = $Db->fullTableName('product_category_relations');
        //$pdtcatbl = str_replace('`', '', $pdtcatbl);
        $sql = "SELECT count(DISTINCT P.id) as pCount FROM $pdtbl P
                LEFT JOIN $catbl C ON P.category_id=C.id
                LEFT JOIN $pdtcatbl PCR ON P.id= PCR.product_id
                WHERE (P.category_id=$catId OR PCR.category_id=$catId) AND P.status = 'A' AND P.stock > 0";
        $result = $this->query($sql); 
        return $result[0][0]['pCount'];
   }

    function getProductDataByCategory($catId, $perPage, $cur){ 

        $Db = ConnectionManager::getDataSource($this->useDbConfig);
        $pdtbl    = $Db->fullTableName('products');
        $pdtdetbl = $Db->fullTableName('productdetails');
        $catbl    = $Db->fullTableName('categories');
        $pdtcatbl = $Db->fullTableName('product_category_relations');

        $from = $cur*$perPage;
        $limit = $perPage;
                
        //$pdtcatbl = str_replace('`', '', $pdtcatbl);
        $sql = "SELECT Product.*,Category.*,ProductDetail.* FROM $pdtbl Product
                INNER JOIN $catbl Category ON Product.category_id=Category.id
                INNER JOIN $pdtdetbl ProductDetail ON ProductDetail.product_id=Product.id
                LEFT JOIN $pdtcatbl PCR ON Product.id= PCR.product_id
                WHERE (Product.category_id=$catId OR PCR.category_id=$catId) AND Product.status = 'A' 
                AND Product.stock > 0 GROUP BY Product.id  ORDER BY Product.id DESC LIMIT $from, $limit";
        $result = $this->query($sql); 
        return $result;
   }
    
}
?>